CREATE TABLE ben_dsgntr_enrld_cvg (
    DSGNTR_ENRLD_CVG_ID         NUMBER(18, 0),
    START_DATE                  DATE         ,
    END_DATE                    DATE         ,
    DSGNTR_CRNTLY_ENRLD_FLAG    VARCHAR2(120),
    ELIGY_PRFL_ID               NUMBER(18, 0)    NOT NULL,
    BUSINESS_GROUP_ID           NUMBER(18, 0)    NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)     NOT NULL,
    DSGNTR_ENRLD_CVG_ID         NUMBER(18, 0),
    START_DATE                  DATE         ,
    END_DATE                    DATE         ,
    DSGNTR_CRNTLY_ENRLD_FLAG    VARCHAR2(120),
    ELIGY_PRFL_ID               NUMBER(18, 0)    NOT NULL,
    BUSINESS_GROUP_ID           NUMBER(18, 0)    NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_ben_dsgntr_enrld_cvg PRIMARY KEY (DSGNTR_ENRLD_CVG_ID, DSGNTR_ENRLD_CVG_ID)
);
